Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513454 - Azure disk: storage class should support the sku if the storage accout support it
Summary: Azure disk: storage class should support the sku if the storage accout suppor...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.8.0
Assignee: hchen
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 12:36 UTC by Wenqi He
Modified: 2018-01-26 10:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Wenqi He 2017-11-15 12:36:13 UTC
Description of problem:
Now for storage class only support skuName with Premium_LRS and Standard_LRS
Met error if the storage account was created with other sku. But actually it works well without setting it.

Version-Release number of selected component (if applicable):
openshift v3.7.7
kubernetes v1.7.6+a08f5eeb62


How reproducible:
Always

Steps to Reproduce:
I am using a storage account which sku is "Standard_RAGRS", if I do not set the sku, it would work well:

# oc export sc sc-83uzc
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  creationTimestamp: null
  name: sc-83uzc
parameters:
  location: eastus
  storageAccount: openshiftstorage
provisioner: kubernetes.io/azure-disk

But If I set the skuName parameter, it did not work:

# oc export sc sc-x7p28
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  creationTimestamp: null
  name: sc-x7p28
parameters:
  location: eastus
  skuName: Standard_RAGRS
  storageAccount: openshiftstorage
provisioner: kubernetes.io/azure-disk

With below error:
      Name:        azpvc
      Namespace:    x7p28
      StorageClass:    sc-x7p28
      Status:        Pending
      Volume:       
      Labels:        <none>
      Annotations:    volume.beta.kubernetes.io/storage-class=sc-x7p28
              volume.beta.kubernetes.io/storage-provisioner=kubernetes.io/azure-disk
      Capacity:   
      Access Modes:   
      Events:
        FirstSeen    LastSeen    Count    From                SubObjectPath    Type        Reason            Message
        ---------    --------    -----    ----                -------------    --------    ------            -------
        2m        13s        9    persistentvolume-controller            Warning        ProvisioningFailed    Failed to provision volume with StorageClass "sc-x7p28": azureDisk - Standard_RAGRS is not supported sku/storageaccounttype. Supported values are [Premium_LRS Standard_LRS]


Expected results:
Storage class should support other sku if storage account support it.

Additional info:
Upstream issue: https://github.com/kubernetes/kubernetes/issues/55774

Comment 1 hchen 2018-01-09 16:28:35 UTC
need to pick up https://github.com/kubernetes/kubernetes/pull/55931

Comment 5 Wenqi He 2018-01-26 10:33:28 UTC
Tested on below version:
openshift v3.9.0-0.24.0
kubernetes v1.9.1+a0ce1bc657

Azure disk now support sku like: lrs, Premium lrs, grs, ra-grs.


Note You need to log in before you can comment on or make changes to this bug.